%% This scripts rund simulation model 2, with one feeder
% The output includes total simulation time, operability during
% jacking-up offshore, installation offshore and utiilzation of
% installation vessel

tic; 
season = 4; % 1 == winter, 2 == spring, 3 == summer, 4 == fall
run = 1;
results_21_fa = 0; % change this according to season

if season == 1
    load('states_winter.mat');
    load('windstates_winter.mat');
elseif season == 2
    load('states_spring.mat');
    load('windstates_spring.mat');
elseif season == 3
    load('states_summer.mat');
    load('windstates_summer.mat');
else
    load('states_fall.mat');
    load('windstates_fall.mat');
end

turb = [ 50 100 500];

 for i=1:3
     for j=10:10:100
         nr_turb = turb(i);
         dist = j;
         
         setDistance = [0 0 ; 0 dist];
         setTurbines =[0 0; 0 nr_turb]; 
         
         load_system('model_master21');
         simOut=sim('model_master21');
         
kk=find(jackets_tot.signals.values>=nr_turb);
step = kk(1);
tot_fall=jackets_tot.time(step);
inst_fall=sum(WoW_installation.signals.values(1:tot_fall));
jackup_fall=sum(WoW_jackup_offshore.signals.values(1:tot_fall));
install_wait=sum(install_wait.signals.values(1:tot_fall));

results_21_fa(run,1)=tot_fall;
results_21_fa(run,2)=inst_fall;
results_21_fa(run,3)=inst_fall/tot_fall*100;
results_21_fa(run,4)=jackup_fall;
results_21_fa(run,5)=jackup_fall/tot_fall*100;
results_21_fa(run,6)=install_wait/tot_fall*100;

        run = run + 1;


     end
 end
toc;

%% Simulation with model 2, over different number of turbines

tic; 
season = 4; % 1 == winter, 2 == spring, 3 == summer, 4 == fall
run = 1;
results_21_turbines_fa = 0; 

if season == 1
    load('states_winter.mat');
    load('windstates_winter.mat');
elseif season == 2
    load('states_spring.mat');
    load('windstates_spring.mat');
elseif season == 3
    load('states_summer.mat');
    load('windstates_summer.mat');
else
    load('states_fall.mat');
    load('windstates_fall.mat');
end

%turb = [ 50 100];
%dist_ = [10 50 100]; 
 for i=50:50:500   % turbines
     for j=100      % distance 
         nr_turb = i;
         dist = j;
         
         setTurbines =[0 0; 0 nr_turb]; 
         setDistance = [0 0 ; 0 dist];
         
         load_system('model_master21');
         simOut=sim('model_master21');
         
kk=find(jackets_tot.signals.values>=nr_turb);
step = kk(1);
tot_fall=jackets_tot.time(step);
inst_fall=sum(WoW_installation.signals.values(1:tot_fall));
jackup_fall=sum(WoW_jackup_offshore.signals.values(1:tot_fall));
install_wait=sum(install_wait.signals.values(1:tot_fall));

results_21_turbines_fa(run,1)=tot_fall;
results_21_turbines_fa(run,2)=inst_fall;
results_21_turbines_fa(run,3)=inst_fall/tot_fall*100;
results_21_turbines_fa(run,4)=jackup_fall;
results_21_turbines_fa(run,5)=jackup_fall/tot_fall*100;
results_21_turbines_fa(run,6)=install_wait/tot_fall*100;

        run = run + 1;


     end
 end
toc;

